
set( ubana_VERSION 08.00.00.76 )
set( ubana_UPS_VERSION v08_00_00_76 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( larevt v1_00_00 )
find_ups_product( larcoreobj  )
find_ups_product( canvas  )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
  cet_find_library( PYTHON NAMES python2.7 PATHS ENV PYTHON_LIB NO_DEFAULT_PATH )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_root(  )
find_ups_product( larcorealg  )
find_ups_product( larcore  )
find_ups_product( art  )
find_ups_product( canvas_root_io  )
find_ups_product( lardataobj  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata v01_05_01 )
find_ups_product( lardataalg  )
find_ups_product( lardata  )
find_ups_product( nutools  )
find_ups_product( genie  )
find_ups_product( dk2nugenie  )
find_ups_product( libwda  )
find_ups_product( postgresql  )
find_ups_product( geant4  )
find_ups_product( xerces_c v3_0_0 )
  cet_find_library( G4FR NAMES G4FR PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GMOCREN NAMES G4GMocren PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4OPENGL NAMES G4OpenGL PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RAYTRACER NAMES G4RayTracer PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TREE NAMES G4Tree PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VRML NAMES G4VRML PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ANALYSIS NAMES G4analysis PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4DIGITS_HITS NAMES G4digits_hits PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ERROR_PROPAGATION NAMES G4error_propagation PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4EVENT NAMES G4event PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GEOMETRY NAMES G4geometry PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GL2PS NAMES G4gl2ps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GLOBAL NAMES G4global PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4GRAPHICS_REPS NAMES G4graphics_reps PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERCOMS NAMES G4intercoms PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4INTERFACES NAMES G4interfaces PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MATERIALS NAMES G4materials PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4MODELING NAMES G4modeling PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARMODELS NAMES G4parmodels PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PARTICLES NAMES G4particles PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PERSISTENCY NAMES G4persistency PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PHYSICSLISTS NAMES G4physicslists PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4PROCESSES NAMES G4processes PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4READOUT NAMES G4readout PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4RUN NAMES G4run PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACK NAMES G4track PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4TRACKING NAMES G4tracking PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISHEPREP NAMES G4visHepRep PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VISXXX NAMES G4visXXX PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4VIS_MANAGEMENT NAMES G4vis_management PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( G4ZLIB NAMES G4zlib PATHS ENV G4LIB NO_DEFAULT_PATH )
  cet_find_library( PYTHIA6 NAMES Pythia6 PATHS ENV PYLIB NO_DEFAULT_PATH )
  cet_find_library( LHAPDF NAMES LHAPDF PATHS ENV LHAPDF_LIB NO_DEFAULT_PATH )
  cet_find_library( LOG4CPP NAMES log4cpp PATHS ENV LOG4CPP_LIB NO_DEFAULT_PATH )
  cet_find_library( XML2 NAMES xml2 PATHS /scratch/workspace/build-nulite-s78/BUILDTYPE/debug/QUAL/s78-c2/label1/swarm/label2/SLF7/build/libxml2/v2_9_5/Linux64bit+3.10-2.17-debug/lib NO_DEFAULT_PATH )
  cet_find_library( CRY NAMES CRY PATHS ENV CRY_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWMSG NAMES GFwMsg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWREG NAMES GFwReg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWALG NAMES GFwAlg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWINT NAMES GFwInt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWGHEP NAMES GFwGHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNUM NAMES GFwNum PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWUTL NAMES GFwUtl PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWPARDAT NAMES GFwParDat PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWEG NAMES GFwEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFWNTP NAMES GFwNtp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHXSIG NAMES GPhXSIg PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHPDF NAMES GPhPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUCLST NAMES GPhNuclSt PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCMN NAMES GPhCmn PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDCY NAMES GPhDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADTRANSP NAMES GPhHadTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHHADNZ NAMES GPhHadnz PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDEEX NAMES GPhDeEx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGXS NAMES GPhAMNGXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHAMNGEG NAMES GPhAMNGEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCHMXS NAMES GPhChmXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHXS NAMES GPhCohXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHCOHEG NAMES GPhCohEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISXS NAMES GPhDISXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDISEG NAMES GPhDISEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCXS NAMES GPhDfrcXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHDFRCEG NAMES GPhDfrcEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESXS NAMES GPhGlwResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHGLWRESEG NAMES GPhGlwResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDXS NAMES GPhIBDXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHIBDEG NAMES GPhIBDEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCXS NAMES GPhMNucXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMNUCEG NAMES GPhMNucEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHMEL NAMES GPhMEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELXS NAMES GPhNuElXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNUELEG NAMES GPhNuElEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELXS NAMES GPhQELXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHQELEG NAMES GPhQELEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESXS NAMES GPhResXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHRESEG NAMES GPhResEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTRXS NAMES GPhStrXS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHSTREG NAMES GPhStrEG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPHNDCY NAMES GPhNDcy PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLGEO NAMES GTlGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GTLFLX NAMES GTlFlx PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWFWK NAMES GRwFwk PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWIO NAMES GRwIO PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRWCLC NAMES GRwClc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GSL NAMES gsl PATHS ENV GSL_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_TREE NAMES dk2nuTree PATHS ENV DK2NUDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( DK2NU_GENIE NAMES dk2nuGenie PATHS ENV DK2NUGENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH NAMES ifdh PATHS ENV IFDHC_LIB NO_DEFAULT_PATH )
  cet_find_library( IFDH_SERVICE NAMES IFDH_service PATHS ENV IFDH_ART_LIB NO_DEFAULT_PATH )
  cet_find_library( NUSIMDATA_SIMULATIONBASE NAMES nusimdata_SimulationBase PATHS ENV NUSIMDATA_LIB NO_DEFAULT_PATH )
  cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
find_ups_product( larsim v1_00_00 )
find_ups_product( marley  )
find_ups_product( ifdhc  )
find_ups_product( ppfx  )
find_ups_product( fftw  )
  cet_find_library( GALGORITHM NAMES GAlgorithm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBARYONRESONANCE NAMES GBaryonResonance PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBASE NAMES GBase PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GBODEKYANG NAMES GBodekYang PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCHARM NAMES GCharm PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCOH NAMES GCoh PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDFRC NAMES GDfrc PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDIS NAMES GDIS PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GCROSSSECTIONS NAMES GCrossSections PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GDECAY NAMES GDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GELAS NAMES GElas PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GELFF NAMES GElFF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GHEP NAMES GHEP PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGCORE NAMES GEVGCore PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGMODULES NAMES GEVGModules PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GEVGDRIVERS NAMES GEVGDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GGIBUU NAMES GGiBUU PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GHADRONTRANSP NAMES GHadronTransp PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFRAGMENTATION NAMES GFragmentation PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GINTERACTION NAMES GInteraction PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GLLEWELLYNSMITH NAMES GLlewellynSmith PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMEC NAMES GMEC PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMESSENGER NAMES GMessenger PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUGAMMA NAMES GNuGamma PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUE NAMES GNuE PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNTUPLE NAMES GNtuple PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUCLEAR NAMES GNuclear PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUMERICAL NAMES GNumerical PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GQPM NAMES GQPM PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPDG NAMES GPDG PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GPDF NAMES GPDF PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GQEL NAMES GQEL PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GRES NAMES GRES PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREGISTRY NAMES GRegistry PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREINSEHGAL NAMES GReinSehgal PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GUTILS NAMES GUtils PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GGEO NAMES GGeo PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GFLUXDRIVERS NAMES GFluxDrivers PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GMUELOSS NAMES GMuELoss PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GREWEIGHT NAMES GReWeight PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( GNUCLEONDECAY NAMES GNucleonDecay PATHS ENV GENIE_LIB NO_DEFAULT_PATH )
  cet_find_library( BOOST_SERIALIZATION NAMES boost_serialization PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( BOOST_DATE_TIME NAMES boost_date_time PATHS ENV BOOST_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY NAMES MARLEY PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
  cet_find_library( MARLEY_ROOT NAMES MARLEY_ROOT PATHS ENV MARLEY_LIB NO_DEFAULT_PATH )
find_ups_product( larana v1_00_00 )
find_ups_product( larreco v1_00_00 )
find_ups_product( eigen  )
find_ups_product( ubevt v1_00_00 )
find_ups_product( ubcore v1_00_00 )
find_ups_product( ubobj v1_00_00 )
find_ups_product( artdaq_core v1_00_00 )
find_ups_product( cetpkgsupport v1_08_03 )
find_ups_product( TRACE v3_03_00 )
find_ups_product( ifdh_art v1_00_00 )
find_ups_product( ifbeam  )
find_ups_product( nucondb  )
  cet_find_library( IFBEAM NAMES ifbeam PATHS ENV IFBEAM_LIB NO_DEFAULT_PATH )
  cet_find_library( NUCONDB NAMES nucondb PATHS ENV NUCONDB_LIB NO_DEFAULT_PATH )
  cet_find_library( WDA NAMES wda PATHS ENV LIBWDA_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3 PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( gsl v1_00_00 )
find_ups_product( gallery  )
find_ups_product( ubreco v1_00_00 )
find_ups_product( ubsim v1_00_00 )
find_ups_product( larwirecell v1_00_00 )
find_ups_product( jsoncpp  )
find_ups_product( jsonnet  )
find_ups_product( wirecell  )
  cet_find_library( WIRECELL_SIGPROC_LIB NAMES WireCellSigProc PATHS ENV WIRECELL_LIB NO_DEFAULT_PATH )
  cet_find_library( WIRECELL_GEN_LIB NAMES WireCellGen PATHS ENV WIRECELL_LIB NO_DEFAULT_PATH )
  cet_find_library( WIRECELL_IFACE_LIB NAMES WireCellIface PATHS ENV WIRECELL_LIB NO_DEFAULT_PATH )
  cet_find_library( WIRECELL_UTIL_LIB NAMES WireCellUtil PATHS ENV WIRECELL_LIB NO_DEFAULT_PATH )
  cet_find_library( WIRECELL_APPS_LIB NAMES WireCellApps PATHS ENV WIRECELL_LIB NO_DEFAULT_PATH )
  cet_find_library( JSONCPP NAMES jsoncpp PATHS ENV JSONCPP_LIB NO_DEFAULT_PATH )
find_ups_product( geant4reweight  )
  cet_find_library( CETBUILD_EXCEPT NAMES cetlib_except PATHS /scratch/workspace/build-nulite-s78/BUILDTYPE/debug/QUAL/s78-c2/label1/swarm/label2/SLF7/build/cetlib_except/v1_03_00/slf7.x86_64.c2.debug/lib )
  cet_find_library( CETBUILD NAMES cetlib PATHS /scratch/workspace/build-nulite-s78/BUILDTYPE/debug/QUAL/s78-c2/label1/swarm/label2/SLF7/build/cetlib/v3_05_01/slf7.x86_64.c2.debug/lib )
find_ups_product( pandora  )
find_ups_product( larpandora v1_00_00 )
find_ups_product( larpandoracontent v02_04_00 )
  cet_find_library( PANDORASDK NAMES PandoraSDK PATHS ENV PANDORA_LIB )
  cet_find_library( PANDORAMONITORING NAMES PandoraMonitoring PATHS ENV PANDORA_LIB )
find_ups_product( swtrigger v1_00_00 )
find_ups_product( ubraw v1_00_00 )
find_ups_product( uboonedaq_datatypes v1_00_00 )
  cet_find_library( UBDut NAMES ubdata_types PATHS /scratch/workspace/uboone-release-build3/BUILDTYPE/debug/QUAL/c2/label1/swarm/label2/SLF7/build/uboonedaq_datatypes/v6_22_05a/slf7.x86_64.c2.offline.debug/lib )
set(UBANA_ANALYSISTREE_OBJECTTREES_HITTREEANA_MODULE "$ENV{UBANA_LIB}/libubana_AnalysisTree_ObjectTrees_HitTreeAna_module.so")
set(UBANA_ANALYSISTREE_OBJECTTREES_MCNEUTRINOANA_MODULE "$ENV{UBANA_LIB}/libubana_AnalysisTree_ObjectTrees_MCNeutrinoAna_module.so")
set(UBANA_ANALYSISTREE_OBJECTTREES_POTSUMMARYANA_MODULE "$ENV{UBANA_LIB}/libubana_AnalysisTree_ObjectTrees_POTSummaryAna_module.so")
set(UBANA_ANALYSISTREE_OBJECTTREES_UBOONEOPTICALFILTERANA_MODULE "$ENV{UBANA_LIB}/libubana_AnalysisTree_ObjectTrees_UbooneOpticalFilterAna_module.so")
set(UBANA_ANALYSISTREE_OBJECTTREES_WIRETREEANA_MODULE "$ENV{UBANA_LIB}/libubana_AnalysisTree_ObjectTrees_WireTreeAna_module.so")
set(UBANA_ANALYSISTREE_MCTRUTH_MCTRUTHBASE "$ENV{UBANA_LIB}/libubana_AnalysisTree_MCTruth_MCTruthBase.so")
set(UBANA_ANALYSISTREE_MCTRUTH_ASSOCIATIONSTRUTH_TOOL "$ENV{UBANA_LIB}/libubana_AnalysisTree_MCTruth_AssociationsTruth_tool.so")
set(UBANA_ANALYSISTREE_MCTRUTH_BACKTRACKERTRUTH_TOOL "$ENV{UBANA_LIB}/libubana_AnalysisTree_MCTruth_BackTrackerTruth_tool.so")
set(UBANA_ANALYSISTREE_MCTRUTH_MCTRUTHTESTANA_MODULE "$ENV{UBANA_LIB}/libubana_AnalysisTree_MCTruth_MCTruthTestAna_module.so")
set(UBANA_ANALYSISTREE_ANALYSISTREE_MODULE "$ENV{UBANA_LIB}/libubana_AnalysisTree_AnalysisTree_module.so")
set(SPECALIBRATIONCODE "$ENV{UBANA_LIB}/libSPEcalibrationCode.so")
set(SPECALIBRATION_MODULE "$ENV{UBANA_LIB}/libSPEcalibration_module.so")
set(FEMEMULATOR_MODULE "$ENV{UBANA_LIB}/libFEMemulator_module.so")
set(SWTRIGGER_MODULE "$ENV{UBANA_LIB}/libSWTrigger_module.so")
set(UBANA_CALIBRATIONS "$ENV{UBANA_LIB}/libubana_Calibrations.so")
set(CALIBRATIONTPC_MODULE "$ENV{UBANA_LIB}/libCalibrationTPC_module.so")
set(CALIBRATIONDEDX_MODULE "$ENV{UBANA_LIB}/libCalibrationdEdX_module.so")
set(DIFFUSION_MODULE "$ENV{UBANA_LIB}/libDiffusion_module.so")
set(EXTRACTPEDESTALINFORMATION_MODULE "$ENV{UBANA_LIB}/libExtractPedestalInformation_module.so")
set(FILTERCROSSINGMUONS_MODULE "$ENV{UBANA_LIB}/libFilterCrossingMuons_module.so")
set(KPLANE2_MODULE "$ENV{UBANA_LIB}/libKplane2_module.so")
set(LIFETIMEQAQC_MODULE "$ENV{UBANA_LIB}/libLifetimeQAQC_module.so")
set(LIFETIME_MODULE "$ENV{UBANA_LIB}/libLifetime_module.so")
set(NOISEFILTER_MODULE "$ENV{UBANA_LIB}/libNoiseFilter_module.so")
set(VALIDATELIFETIME_MODULE "$ENV{UBANA_LIB}/libValidateLifetime_module.so")
set(XYZCORRECTION_MODULE "$ENV{UBANA_LIB}/libXYZcorrection_module.so")
set(XYZVALIDATIOIN_MODULE "$ENV{UBANA_LIB}/libXYZvalidatioin_module.so")
set(UBANA_CHARGEDTRACKMULTIPLICITY_MC_CTMMCANA_MODULE "$ENV{UBANA_LIB}/libubana_ChargedTrackMultiplicity_MC_CTMMCAna_module.so")
set(UBANA_CHARGEDTRACKMULTIPLICITY_DATAON_CTMDATAONANA_MODULE "$ENV{UBANA_LIB}/libubana_ChargedTrackMultiplicity_DataON_CTMDataONAna_module.so")
set(UBANA_CHARGEDTRACKMULTIPLICITY_DATAOFF_CTMDATAOFFANA_MODULE "$ENV{UBANA_LIB}/libubana_ChargedTrackMultiplicity_DataOFF_CTMDataOFFAna_module.so")
set(COSMICFLASHTAGGERANA_MODULE "$ENV{UBANA_LIB}/libCosmicFlashTaggerAna_module.so")
set(COSMICFLASHTAGGER_MODULE "$ENV{UBANA_LIB}/libCosmicFlashTagger_module.so")
set(UBANA_COSMICTAGGING_COSMICTAGGINGALGORITHMS "$ENV{UBANA_LIB}/libubana_CosmicTagging_CosmicTaggingAlgorithms.so")
set(CCINCLUSIVETRUTHFILTER_MODULE "$ENV{UBANA_LIB}/libCCInclusiveTruthFilter_module.so")
set(COARSECCINCLUSIVEFILTER_MODULE "$ENV{UBANA_LIB}/libCoarseCCInclusiveFilter_module.so")
set(COARSENUCCHELPERS "$ENV{UBANA_LIB}/libCoarseNuCCHelpers.so")
set(UBANA_FILTERS_CCINCLUSIVEFILTER_MCC9PI0FILTER_MODULE "$ENV{UBANA_LIB}/libubana_Filters_CCInclusiveFilter_MCC9Pi0Filter_module.so")
set(UBANA_FILTERS_CCINCLUSIVEFILTER_MCC9SLICEIDFILTER_MODULE "$ENV{UBANA_LIB}/libubana_Filters_CCInclusiveFilter_MCC9SliceIDFilter_module.so")
set(UBANA_FILTERS_CCINCLUSIVEFILTER_NUCCANALYZER_MODULE "$ENV{UBANA_LIB}/libubana_Filters_CCInclusiveFilter_NuCCanalyzer_module.so")
set(UBANA_FILTERS_CCINCLUSIVEFILTER_NUCCFILTER_MODULE "$ENV{UBANA_LIB}/libubana_Filters_CCInclusiveFilter_NuCCfilter_module.so")
set(UBANA_FILTERS_CCINCLUSIVEFILTER_NUCCPRODUCER_MODULE "$ENV{UBANA_LIB}/libubana_Filters_CCInclusiveFilter_NuCCproducer_module.so")
set(NUCCHELPERS "$ENV{UBANA_LIB}/libNuCCHelpers.so")
set(SINGLETRACKFILTER_MODULE "$ENV{UBANA_LIB}/libSingleTrackFilter_module.so")
set(SINGLETRACKHELPERS "$ENV{UBANA_LIB}/libSingleTrackHelpers.so")
set(UBOONECODE_UBOONE_UBXSEC "$ENV{UBANA_LIB}/libuboonecode_uboone_UBXSec.so")
set(SINGLEMUONFILTER_MODULE "$ENV{UBANA_LIB}/libSingleMuonFilter_module.so")
set(UBANA_FILTERS_NUMUCCINCLDUMPER "$ENV{UBANA_LIB}/libubana_Filters_NumuCCinclDumper.so")
set(UBANA_FILTERS_NUMUCCINCLDUMPER_NUMUCCINKLRUN3_MODULE "$ENV{UBANA_LIB}/libubana_Filters_NumuCCinclDumper_NumuCCinklRun3_module.so")
set(PID "$ENV{UBANA_LIB}/libPID.so")
set(BACKTRACK "$ENV{UBANA_LIB}/libBackTrack.so")
set(NUCCINCLHELPERS "$ENV{UBANA_LIB}/libNuCCinclHelpers.so")
set(UBANA_FILTERS_WCNUMUFILTER_WCNUMUFILTER_MODULE "$ENV{UBANA_LIB}/libubana_Filters_WCNumuFilter_WCNumuFilter_module.so")
set(NUMUCC0PI0P "$ENV{UBANA_LIB}/libNuMuCC0pi0p.so")
set(ONEMUONEPFLAT_MODULE "$ENV{UBANA_LIB}/libOneMuOnePFlat_module.so")
set(BACKTRACKER "$ENV{UBANA_LIB}/libBackTracker.so")
set(RECOTRUTH "$ENV{UBANA_LIB}/libRecoTruth.so")
set(TOPOLOGY "$ENV{UBANA_LIB}/libTopology.so")
set(PID3PL "$ENV{UBANA_LIB}/libPID3pl.so")
set(FIDUCIALVOLUME "$ENV{UBANA_LIB}/libFiducialVolume.so")
set(UBANA_HITANALYSIS_TOOLS_SHOWERHITEFFICIENCYANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_HitAnalysis_tools_ShowerHitEfficiencyAnalysis_tool.so")
set(UBANA_HITANALYSIS_TOOLS_TRACKHITEFFICIENCYANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_HitAnalysis_tools_TrackHitEfficiencyAnalysis_tool.so")
set(UBANA_HITANALYSIS_HITEFFICIENCYANA_MODULE "$ENV{UBANA_LIB}/libubana_HitAnalysis_HitEfficiencyAna_module.so")
set(UBANA_LEEPHOTONANALYSIS "$ENV{UBANA_LIB}/libubana_LEEPhotonAnalysis.so")
set(GENIETEST_MODULE "$ENV{UBANA_LIB}/libGENIETest_module.so")
set(LEEPHOTONANALYSIS_MODULE "$ENV{UBANA_LIB}/libLEEPhotonAnalysis_module.so")
set(NCDELTARADIATIVE_MODULE "$ENV{UBANA_LIB}/libNCDeltaRadiative_module.so")
set(RECOTRUETEST_MODULE "$ENV{UBANA_LIB}/libRecoTrueTest_module.so")
set(SIGNALFILTER_MODULE "$ENV{UBANA_LIB}/libSignalFilter_module.so")
set(FLASH_MODULE "$ENV{UBANA_LIB}/libflash_module.so")
set(MUCSGAINANA_MODULE "$ENV{UBANA_LIB}/libMuCSGainAna_module.so")
set(MUCST0FINDER_MODULE "$ENV{UBANA_LIB}/libMuCST0Finder_module.so")
set(MUCSTRACKFINDER_MODULE "$ENV{UBANA_LIB}/libMuCSTrackFinder_module.so")
set(T0TRACKCALIB_MODULE "$ENV{UBANA_LIB}/libT0TrackCalib_module.so")
set(TPCOBJECTCREATOR_MODULE "$ENV{UBANA_LIB}/libTPCObjectCreator_module.so")
set(UBT0FINDER_MODULE "$ENV{UBANA_LIB}/libUBT0Finder_module.so")
set(CELLTREEUB_MODULE "$ENV{UBANA_LIB}/libCellTreeUB_module.so")
set(WIRECELLANATREE_MODULE "$ENV{UBANA_LIB}/libWireCellAnaTree_module.so")
set(WIRECELLEVENTWEIGHTTREE_MODULE "$ENV{UBANA_LIB}/libWireCellEventWeightTree_module.so")
set(WIRECELLPFDUMP_MODULE "$ENV{UBANA_LIB}/libWireCellPFDump_module.so")
set(INCLUSIVESINGLEPHOTONGENIE_MODULE "$ENV{UBANA_LIB}/libInclusiveSinglePhotonGenie_module.so")
set(INCLUSIVESINGLEPHOTON_MODULE "$ENV{UBANA_LIB}/libInclusiveSinglePhoton_module.so")
set(UBANA_OPTICALDETECTORANA "$ENV{UBANA_LIB}/libubana_OpticalDetectorAna.so")
set(FLASHTRIGGER_MODULE "$ENV{UBANA_LIB}/libFlashTrigger_module.so")
set(OPDIGITSATURATIONCORRECTION_MODULE "$ENV{UBANA_LIB}/libOpDigitSaturationCorrection_module.so")
set(SIMPLEFLASHFINDER_MODULE "$ENV{UBANA_LIB}/libSimpleFlashFinder_module.so")
set(UBBASICOPTICALANA_MODULE "$ENV{UBANA_LIB}/libUBBasicOpticalAna_module.so")
set(OPTICALSUBEVENTS "$ENV{UBANA_LIB}/libOpticalSubEvents.so")
set(SUBEVENTBUILDER_MODULE "$ENV{UBANA_LIB}/libSubEventBuilder_module.so")
set(UBOONE_LEEPRECUTALGO "$ENV{UBANA_LIB}/libuboone_LEEPreCutAlgo.so")
set(DLPMTPRECUTS_MODULE "$ENV{UBANA_LIB}/libDLPMTPreCuts_module.so")
set(UBANA_PATTERNFILTER_PMALGS "$ENV{UBANA_LIB}/libubana_PatternFilter_PMAlgs.so")
set(UBANA_PATTERNFILTER_ARTMODULES_ANODECATHODETRACKANA_MODULE "$ENV{UBANA_LIB}/libubana_PatternFilter_ArtModules_AnodeCathodeTrackAna_module.so")
set(UBANA_PATTERNFILTER_ARTMODULES_ANODECATHODETRACKFILTER_MODULE "$ENV{UBANA_LIB}/libubana_PatternFilter_ArtModules_AnodeCathodeTrackFilter_module.so")
set(LOWLEVELNUEFILTER_MODULE "$ENV{UBANA_LIB}/libLowLevelNueFilter_module.so")
set(OPFLASHFILTER_MODULE "$ENV{UBANA_LIB}/libOpFlashFilter_module.so")
set(TPCNEUTRINOIDANA_MODULE "$ENV{UBANA_LIB}/libTPCNeutrinoIDAna_module.so")
set(TPCNEUTRINOIDFILTER_MODULE "$ENV{UBANA_LIB}/libTPCNeutrinoIDFilter_module.so")
set(TPCNEUTRINOID_MODULE "$ENV{UBANA_LIB}/libTPCNeutrinoID_module.so")
set(TPCNEUTRINOIDALGS "$ENV{UBANA_LIB}/libTPCNeutrinoIDAlgs.so")
set(ACPTTAGGER_MODULE "$ENV{UBANA_LIB}/libACPTTagger_module.so")
set(CANDIDATECONSISTENCY_MODULE "$ENV{UBANA_LIB}/libCandidateConsistency_module.so")
set(COSMICFLASHMATCH_MODULE "$ENV{UBANA_LIB}/libCosmicFlashMatch_module.so")
set(COSMICTAGGERANA_MODULE "$ENV{UBANA_LIB}/libCosmicTaggerAna_module.so")
set(COSMICTRACKHITTAGGER_MODULE "$ENV{UBANA_LIB}/libCosmicTrackHitTagger_module.so")
set(DEDXANA_MODULE "$ENV{UBANA_LIB}/libDeDxAna_module.so")
set(FLASHMATCHCALIB_MODULE "$ENV{UBANA_LIB}/libFlashMatchCalib_module.so")
set(GEOCOSMICTAGGER_MODULE "$ENV{UBANA_LIB}/libGeoCosmicTagger_module.so")
set(INTIMESTUDY_MODULE "$ENV{UBANA_LIB}/libInTimeStudy_module.so")
set(NEUTRINOFLASHMATCH_MODULE "$ENV{UBANA_LIB}/libNeutrinoFlashMatch_module.so")
set(NEUTRINOMCFLASH_MODULE "$ENV{UBANA_LIB}/libNeutrinoMCFlash_module.so")
set(PHOTONACTIVITY_MODULE "$ENV{UBANA_LIB}/libPhotonActivity_module.so")
set(RECOTRUEMATCHER_MODULE "$ENV{UBANA_LIB}/libRecoTrueMatcher_module.so")
set(SIMPLEANA_MODULE "$ENV{UBANA_LIB}/libSimpleAna_module.so")
set(STOPPINGMUONTAGGER_MODULE "$ENV{UBANA_LIB}/libStoppingMuonTagger_module.so")
set(TPCOBJECTMAKER_MODULE "$ENV{UBANA_LIB}/libTPCObjectMaker_module.so")
set(UBXSEC_MODULE "$ENV{UBANA_LIB}/libUBXSec_module.so")
set(UBOONECODE_UBOONE_UBXSEC_ALGORITHMS "$ENV{UBANA_LIB}/libuboonecode_uboone_UBXSec_Algorithms.so")
set(HITCOSMICTAG_BASE "$ENV{UBANA_LIB}/libHitCosmicTag_Base.so")
set(HITCOSMICTAG_ALGORITHMS "$ENV{UBANA_LIB}/libHitCosmicTag_Algorithms.so")
set(UBANA_LARSOFTEXAMPLES_USINGASSNSANA_MODULE "$ENV{UBANA_LIB}/libubana_LArSoftExamples_UsingAssnsAna_module.so")
set(UBANA_LARSOFTEXAMPLES_USINGHANDLESANA_MODULE "$ENV{UBANA_LIB}/libubana_LArSoftExamples_UsingHandlesAna_module.so")
set(HSNFINDER_MODULE "$ENV{UBANA_LIB}/libHsnFinder_module.so")
set(PRESELECTALGORITHMS "$ENV{UBANA_LIB}/libPreSelectAlgorithms.so")
set(PRESELECTDATAOBJECTS "$ENV{UBANA_LIB}/libPreSelectDataObjects.so")
set(HSNMCTRUTHINFORMATION_MODULE "$ENV{UBANA_LIB}/libHsnMcTruthInformation_module.so")
set(MCTRUTHINFORMATION_MODULE "$ENV{UBANA_LIB}/libMcTruthInformation_module.so")
set(GETNORMALIZATIONHISTOGRAMS_MODULE "$ENV{UBANA_LIB}/libGetNormalizationHistograms_module.so")
set(GETPOTCOUNT_MODULE "$ENV{UBANA_LIB}/libGetPotCount_module.so")
set(EVENTFILEDATABASE_MODULE "$ENV{UBANA_LIB}/libEventFileDatabase_module.so")
set(FINDFILEWITHEVENT_MODULE "$ENV{UBANA_LIB}/libFindFileWithEvent_module.so")
set(UBOONECODE_UBOONE_XGBOOST "$ENV{UBANA_LIB}/libuboonecode_uboone_XGBoost.so")
set(DECISIONTREEID_MODULE "$ENV{UBANA_LIB}/libDecisionTreeID_module.so")
set(QEEVENTSELECTIONFILTER_MODULE "$ENV{UBANA_LIB}/libQEEventSelectionFilter_module.so")
set(QEEVENTSELECTION_MODULE "$ENV{UBANA_LIB}/libQEEventSelection_module.so")
set(UBOONECODE_UBOONE_NCELASTICALGORITHMS "$ENV{UBANA_LIB}/libuboonecode_uboone_NCElasticAlgorithms.so")
set(CALIBRATEDEDX_MODULE "$ENV{UBANA_LIB}/libCalibratedEdx_module.so")
set(PARTICLEIDVALIDATIONPLOTS_MODULE "$ENV{UBANA_LIB}/libParticleIdValidationPlots_module.so")
set(PARTICLEID_MODULE "$ENV{UBANA_LIB}/libParticleId_module.so")
set(UBANA_PARTICLEID_ALGORITHMS "$ENV{UBANA_LIB}/libubana_ParticleID_Algorithms.so")
set(NCRADIATIVERESONANT_MODULE "$ENV{UBANA_LIB}/libNCRadiativeResonant_module.so")
set(SINGLEPHOTON_MODULE "$ENV{UBANA_LIB}/libSinglePhoton_module.so")
set(UBANA_SINGLEPHOTONANALYSIS_SEAVIEW "$ENV{UBANA_LIB}/libubana_SinglePhotonAnalysis_SEAview.so")
set(TREEREADER_SOURCE "$ENV{UBANA_LIB}/libTreeReader_source.so")
set(TREEINTERFACE "$ENV{UBANA_LIB}/libTreeInterface.so")
set(TREEREADER "$ENV{UBANA_LIB}/libTreeReader.so")
set(ARBORIST_MODULE "$ENV{UBANA_LIB}/libArborist_module.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_SELECTIONTOOLS_CC0PINPSELECTION_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_SelectionTools_CC0piNpSelection_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_SELECTIONTOOLS_CRTAPPROACHSELECTION_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_SelectionTools_CRTApproachSelection_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_SELECTIONTOOLS_EMPTYSELECTION_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_SelectionTools_EmptySelection_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_SELECTIONTOOLS_NUMUSELECTION_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_SelectionTools_NuMuSelection_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_SELECTIONTOOLS_PI0SELECTION_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_SelectionTools_Pi0Selection_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_SELECTIONTOOLS_SELECTIONEXAMPLE_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_SelectionTools_SelectionExample_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_SELECTIONTOOLS_SHOWERSELECTION_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_SelectionTools_ShowerSelection_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_BDT_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_BDT_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_CRTAPPROACHANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_CRTApproachAnalysis_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_CALORIMETRYANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_CalorimetryAnalysis_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_CONTAINMENTANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_ContainmentAnalysis_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_COSMICIP_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_CosmicIP_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_DEFAULTANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_DefaultAnalysis_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_EVENTFILTER_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_EventFilter_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_EVENTWEIGHTTREE_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_EventWeightTree_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_FLASHMATCHING_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_FlashMatching_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_MCFILTER_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_MCFilter_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_MCS_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_MCS_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_NEUTRINOENERGY_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_NeutrinoEnergy_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_NEUTRINOTIMING_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_NeutrinoTiming_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_NEUTRONANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_NeutronAnalysis_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_OBVIOUSCOSMICFLASHMATCHING_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_ObviousCosmicFlashMatching_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_PMTNOISE_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_PMTNoise_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_PMTWAVEFORM_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_PMTWaveform_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_PI0TAGGER_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_Pi0Tagger_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_PI0TRUTHANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_Pi0TruthAnalysis_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_SECONDSHOWERTAGGER_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_SecondShowerTagger_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_SHOWERANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_ShowerAnalysis_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_SHOWERSTARTPOINT_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_ShowerStartPoint_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_SIMPHOTON_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_SimPhoton_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_SLICEPURCOMPL_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_SlicePurCompl_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_TRACKANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_TrackAnalysis_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_ANALYSISTOOLS_VERTEXANALYSIS_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_AnalysisTools_VertexAnalysis_tool.so")
set(UBANA_SEARCHINGFORNUES_SELECTION_NEUTRINOSELECTIONFILTER_MODULE "$ENV{UBANA_LIB}/libubana_searchingfornues_Selection_NeutrinoSelectionFilter_module.so")
set(UBANA_SEARCHINGFORNUES_FLASHMATCHING_ACPTTRIGFLASHMATCH_MODULE "$ENV{UBANA_LIB}/libubana_searchingfornues_FlashMatching_ACPTTrigFlashMatch_module.so")
set(UBANA_SEARCHINGFORNUES_FLASHMATCHING_COSMICREJECTION_MODULE "$ENV{UBANA_LIB}/libubana_searchingfornues_FlashMatching_CosmicRejection_module.so")
set(UBANA_SEARCHINGFORNUES_FLASHMATCHING_FLASHMATCHINGTOOL_TOOL "$ENV{UBANA_LIB}/libubana_searchingfornues_FlashMatching_FlashMatchingTool_tool.so")
set(UBANA_SEARCHINGFORNUES_FLASHMATCHING_MUCSFLASHMATCH_MODULE "$ENV{UBANA_LIB}/libubana_searchingfornues_FlashMatching_MuCSFlashMatch_module.so")
set(UBANA_SEARCHINGFORNUES_SHOWERRECO_GAMMATRUTHSTUDIES_MODULE "$ENV{UBANA_LIB}/libubana_searchingfornues_ShowerReco_GammaTruthStudies_module.so")
set(UBANA_SEARCHINGFORNUES_SHOWERRECO_PROTONHITPURITY_MODULE "$ENV{UBANA_LIB}/libubana_searchingfornues_ShowerReco_ProtonHitPurity_module.so")
set(UBANA_SEARCHINGFORNUES_SHOWERRECO_PROTONTRUTHSTUDIES_MODULE "$ENV{UBANA_LIB}/libubana_searchingfornues_ShowerReco_ProtonTruthStudies_module.so")
set(UBANA_SEARCHINGFORNUES_SHOWERRECO_SAVESLICEHITS_MODULE "$ENV{UBANA_LIB}/libubana_searchingfornues_ShowerReco_SaveSliceHits_module.so")
set(UBANA_SEARCHINGFORNUES_SHOWERRECO_SECONDSHOWERPURITY_MODULE "$ENV{UBANA_LIB}/libubana_searchingfornues_ShowerReco_SecondShowerPurity_module.so")
set(UBANA_SEARCHINGFORNUES_SHOWERRECO_SHOWERMERGER_MODULE "$ENV{UBANA_LIB}/libubana_searchingfornues_ShowerReco_ShowerMerger_module.so")
set(UBANA_SEARCHINGFORNUES_FILTERS_COMMONOPTICALFILTER_MODULE "$ENV{UBANA_LIB}/libubana_searchingfornues_Filters_CommonOpticalFilter_module.so")
set(UBANA_SEARCHINGFORNUES_FILTERS_TRUTHFILTER_MODULE "$ENV{UBANA_LIB}/libubana_searchingfornues_Filters_TruthFilter_module.so")
set(UBANA_REDK2NU_REDK2NU_MODULE "$ENV{UBANA_LIB}/libubana_redk2nu_ReDk2Nu_module.so")
  include_directories ( "$ENV{UBANA_INC}" )

check_required_components(ubana)

